[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerMsgQueue.MaxCount

Maximum number of messages in the queue, 0 for unlimited

## Declaration

Source position: simpleipc.pp line 84

`public property TIPCServerMsgQueue.MaxCount : Integer read FMaxCount write FMaxCount;`

## Description

MaxCount is the maximum number of messages in the queue. When this amount is zero, the amount of messages is unlimited.

When a new message is pushed, and the Count is equal to MaxCount, the MaxAction property is examined to know what to do.

## See also

Count |  | Number of messages in the queue
MaxAction |  | Action to take when the number of messages will exceed MaxCount.